# nicotine - https://github.com/sirjmann92/nicotineplus-proper
# https://github.com/WB2024/WBs-Nicotineplusplus-docker
---
services: 
 nicotineplus-proper:
   image: 'wb20244/nicotineplus-xpra:latest'
   container_name: nicotine
   network_mode: "container:gluetun"
   environment:
     - TZ=America/New_York
     - DISPLAY_PORT=6565
     - NICOTINE_LOGIN=${SOUL_SEEK_USERNAME}
     - NICOTINE_PASSWORD=${SOUL_SEEK_PASSWORD}
     - PUID=1000
     - PGID=1000
   volumes:
     - nicotine_downloads:/downloads
     - ${DATA_PATH}/config:/home/guiwebuser/.config/nicotine
     - ${DATA_PATH}/data:/home/guiwebuser/.local/share/nicotine
   restart: unless-stopped

volumes:
    nicotine_downloads:
        name: nicotine_downloads
        driver_opts:
            type: nfs
            o: addr=${NAS_ADDR},nolock,soft,rw
            device: :${DOWNLOADS_PATH}
    # nicotine_shared:
    #     name: nicotine_shared
    #     driver_opts:
    #         type: nfs
    #         o: addr=${NAS_ADDR},nolock,soft,rw
    #         device: :${DOWNLOADS_PATH}/shared